Pređi na sadržaj

Product calendar logs

Logs of each time a unit's iCal feed is read by an external platform

The product calendar log object

Attributes

idbigint

Unique identifier

product_iduuid
products.id

Identifier of the related unit

created_atread-onlytimestamp with time zone

Creation timestamp

params{ include_booking_details: boolean, include_external_events: boolean, include_product_names?: boolean, include_related_products: boolean, include_sub_products: boolean, include_tasks?: boolean, precision?: "hours" | "days", status: Array<CalendarEventStatus>, type: Array<CalendarEventType> }

Params of the request

referrertext

Referrer of the request

statusProductCalendarLogStatus

Result of the request, e.g. success

Related resources

Embed related resources in the response with the select parameter, for example select=*,products(*). Resources related through more than one column need the column as a hint, like table!column(*).

products(*)object | null
products

The product referenced by product_id.

The product calendar log object
JSON
{
  "id": 0,
  "product_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:27:57.698Z",
  "params": {},
  "referrer": "",
  "status": "success"
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/product_calendar_logs?limit=10&select=*,products(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List product calendar logs

Filters

idFilter<bigint>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

paramsFilter<{ include_booking_details: boolean, include_external_events: boolean, include_product_names?: boolean, include_related_products: boolean, include_sub_products: boolean, include_tasks?: boolean, precision?: "hours" | "days", status: Array<CalendarEventStatus>, type: Array<CalendarEventType> }>

Params of the request

referrerFilter<text>

Referrer of the request

statusFilter<ProductCalendarLogStatus>

Result of the request, e.g. success

Responses

200

A list of product calendar logs with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /product_calendar_logs
curl -X GET "https://api.bookingmood.com/v1/product_calendar_logs?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": 0,
    "product_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:27:57.698Z",
    "params": {},
    "referrer": "",
    "status": "success"
  }
]

Preuzmite kontrolu nad svojim rezervacijama. Izgradite svoj posao.

Pridružite se 1200+ nezavisnim kompanijama za iznajmljivanje smeštaja koristeći Bookingmood kako biste povećali broj direktnih rezervacija i izgradili jače odnose sa gostima.

Započnite besplatnu probnu verziju od 14 dana